Page MenuHomePhabricator

diffusion history page should give browse links for each committed version of the file
Closed, ResolvedPublic

Description

The history page gives links to the commit and revision, but no browse link to see the file itself:

The "Browse Content" link goes the latest version of the file, but sometimes I just want to jump to see the whole file as it existed at some point in the past.

Event Timeline

justinkao raised the priority of this task from to Needs Triage.
justinkao updated the task description. (Show Details)
justinkao added a project: Restricted Project.
justinkao added subscribers: jhurwitz, angie, justinkao.
joshuaspence triaged this task as Wishlist priority.Sep 6 2015, 8:07 AM

This is reasonable and straightforward, and I have some adjacent UI adjustments I'd like to try making concurrently. This is <1 hour and can slip in somewhere if approved for prioritization.

angie moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Sep 10 2015, 5:18 PM
epriestley added a project: Prioritized.
epriestley moved this task from Backlog to The Queue on the Prioritized board.
angie moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Sep 11 2015, 3:20 AM

D14096 has some screenshots of this and I've pushed it to this server. It may get some design followup but feels relatively reasonable to me in its current form.

angie added a comment.Oct 14 2015, 6:41 PM

@justinkao can you confirm this has been resolved?

Yup! Much improved, thanks.

angie moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Oct 14 2015, 6:53 PM